%define		_state		stable
%define		orgname		kscd
%define		qtver		4.8.1

Summary:	KDE CD Player
Summary(pl.UTF-8):	Odtwarzacz CD dla KDE
Name:		kde4-%{orgname}
Version:	4.10.4
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	473f59a825045fa98bf4583ab16cad40
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	alsa-lib-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libmusicbrainz3-devel >= 1:3.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	kde4-libkcddb-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-libkcddb >= %{version}
Requires:	kde4-kdebase >= %{version}
Obsoletes:	kde4-kdemultimedia-kscd < 4.8.99-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CD Player with CDDB support. It can automatically update its CD
database with the Internet and show graphical interpretation of played
sounds.

%description -l pl.UTF-8
Odtwarzacz CD z obsługą CDDB. Automatycznie uaktualnia swoją bazę
danych o płytach CD z Internetem. Potrafi także wyświetlić ładną
graficzną interpretację granych dźwięków.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

#%find_lang kscd		--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files
# -f kscd.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kscd
%{_desktopdir}/kde4/kscd.desktop
%{_datadir}/config.kcfg/kscd.kcfg
%{_datadir}/apps/solid/actions/kscd-play-audiocd.desktop
%{_datadir}/apps/kscd
%{_iconsdir}/hicolor/*/apps/kscd.png
%{_datadir}/dbus-1/interfaces/org.kde.kscd.cdplayer.xml
%changelog
* Thu Jun 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kscd.git;a=log;h=master

* Thu Jun 20 2013 Jan Rękorajski <baggins@pld-linux.org> 257e4fa
- updated files
- rel 2

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 8eabe02
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 69a22cc
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> abcf6d9
- updated to 4.9.4

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> 6653518
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 40545e0
- Obsolete kdemultimedia package
Release 2

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> d90d514
- Updated BRs
Release 1

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 2374ce4
- Fixed name

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> ceb4cdb
- Initial commit, split from kde4-kdemultimedia, BRs probably wrong

